fourdst::libcomposition v1.9.0 Robust atomic species information library

Loading...
Searching...
No Matches
Private Member Functions | List of all members
fourdst::composition::exceptions::InvalidMixingMode Class Referencefinal

Exception thrown for an invalid or unsupported mixing mode. More...

`#include <exceptions_composition.h>`

Inheritance diagram for fourdst::composition::exceptions::InvalidMixingMode:

## Private Member Functions
| CompositionError (const std::string &message)
| Constructs a CompositionError with an error message.

## Additional Inherited Members
Public Member Functions inherited from fourdst::composition::exceptions::CompositionError
| CompositionError (const std::string &message)
| Constructs a CompositionError with an error message.
const char * | what () const noexcept override
| Returns the error message.
Protected Attributes inherited from fourdst::composition::exceptions::CompositionError
std::string | m_message
| The error message.

## Detailed Description

Exception thrown for an invalid or unsupported mixing mode.

Compositions can be defined with different mixing modes (e.g., by mass, by mole). This error is thrown if an invalid mode is specified.

Definition at line 93 of file exceptions_composition.h.

## Member Function Documentation

## ◆ CompositionError()

fourdst::composition::exceptions::CompositionError::CompositionError | ( | const std::string & | message | ) |
| inline explicit private

Constructs a CompositionError with an error message.

Parameters

  message | The error message.

Definition at line 25 of file exceptions_composition.h.

The documentation for this class was generated from the following file:

- src/composition/include/fourdst/composition/exceptions/exceptions_composition.h